uuid: e75f0710-bf26-4294-8357-93622b379fc2
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_noofbowls
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: product
label: 'Product attribute: NO of bowls'
source:
  plugin: multiple_urls
  data_fetcher_plugin: http
  data_parser_plugin: json
  track_changes: true
  domain: akeneoce.hicmedia.com
  apiname: customapi/api
  version: V1
  inside_page: GetNoOfBowls
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetNoOfBowls'
  item_selector: data
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: code
      label: 'Unique position identifier'
      selector: code
    -
      name: label
      label: Name
      selector: label
  ids:
    code:
      type: string
  constants:
    type: no_of_bowls
process:
  attribute: constants/type
  name: label
destination:
  plugin: update_existing_entities
  destination_module: commerce_product
  entity_type: commerce_product_attribute_value
  attribute: no_of_bowls
  overwrite_properties:
    - name
migration_dependencies: null
